LibreOffice: AccessController Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
AccessController Service Referencepublished

This meta service supports the XAccessController interface for checking security permissions. More...

Inheritance diagram for AccessController:

## Additional Inherited Members
Public Member Functions inherited from XAccessController
void | checkPermission ([in] any perm) raises (AccessControlException)
| Determines whether the access request indicated by the specified permission should be allowed or denied, based on the security policy currently in effect.
any | doRestricted ([in] XAction action, [in] XAccessControlContext restriction) raises (com::sun::star::uno::Exception)
| Perform the specified action restricting permissions to the given XAccessControlContext.
any | doPrivileged ([in] XAction action, [in] XAccessControlContext restriction) raises (com::sun::star::uno::Exception)
| Perform the specified action adding a set of permissions defined by the given XAccessControlContext.
XAccessControlContext | getContext ()
| This method takes a "snapshot" of the current calling context and returns it.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This meta service supports the XAccessController interface for checking security permissions.

Attention
  The specific service implementation of this meta service has to take care of bootstrapping problems, i.e. recurring calls during initialization have to be resolved. This happens when the implementation calls other service implementations.

Also, it obviously has also to be ensured that the object is process-local to assure that permission checks are not corrupted via insecure inter-process communication.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/security/AccessController.idl